\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{bidiSP}
              [2010/12/04 v0.1
 Simple Presentation class using bidi in XeLaTeX]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}
%برای تعیین اندازه و حاشیه‌ها برای محیط نمایش
\RequirePackage[paperheight=100mm, paperwidth=130mm, right=15mm, left=5mm, top=5mm]{geometry}
%بسته‌ای برای تعریف محیط قضیه و ...
\RequirePackage{thmbox}
\newtheorem[L]{thm}{قضیه}[section]
\newtheorem[L]{lem}[thm]{لم}
\newtheorem[L]{defn}[thm]{تعریف}
\newtheorem{cor}[thm]{نتیجه}
\newtheorem[bodystyle=\noindent\riaz]{rem}[thm]{تذکر}
\newenvironment{examp}{\begin{thmbox}[S]{\textbf{مثال:~}}}{\end{thmbox}}
\newenvironment{note}[1]{\hspace*{5mm}\shadowbox{\parbox[t]{0.9\linewidth}{\textbf{ نکته:~}\tabriz #1}}}{\\}
\newcommand{\noten}[1]{\hspace*{5mm}\shadowbox{\parbox[t]{0.9\linewidth}{\textbf{ نکته:~}
\darkgreen{\tabriz #1}}}\\}
\renewcommand{\proofname}{برهان}
\renewcommand{\examplename}{مثال}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\RequirePackage{boxedminipage,color,xecolour,fancybox}
\RequirePackage[RTLdocument]{bidi}
\setmainfont[Script=Arabic,Mapping=farsidigits,Scale=1]{XB Yas}
\newfontfamily\rmfamily[Mapping=tex-text]{XB Niloofar}
\newfontfamily\titr[Script=Arabic,Mapping=farsidigits]{XB Titre}
\newfontfamily\titrsayeh[Script=Arabic,Mapping=farsidigits]{XB Titre Shadow}
\newfontfamily\tabriz[Script=Arabic,Mapping=farsidigits]{XB Tabriz}
\newfontfamily\riaz[Script=Arabic,Mapping=farsidigits]{XB Riyaz}
\newfontfamily\roya[Script=Arabic,Mapping=farsidigits]{XB Roya}
%\RequirePackage{xepersian}
%\settextfont{XB Shiraz}
\definecolor{bg}{rgb}{0.7,0.7,0.8}
\pagecolor{bg}
\pagestyle{empty}
\fancypage{%
  \setlength{\fboxsep}{4mm}%
%  \setlength{\shadowsize}{6mm}%
  \Ovalbox}{}%\shadowbox
\linespread{1.5}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\institute#1{\gdef\@institute{#1}}	  %
\def\department#1{\gdef\@department{#1}}  %
\def\slidetitle#1{\gdef\@slidetitle{#1}}  %
\def\slideauthor#1{\gdef\@slideauthor{#1}}%
\def\slidedate#1{\gdef\@slidedate{#1}}	  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\distance}[1]{\vspace*{\stretch{#1}}}
\newcommand{\titleslide}
{{\distance{1}\centering{\titr\Huge\bfseries \@slidetitle\\\distance{0.1} \LARGE \@slideauthor\\\Large \@slidedate\distance{2}}\newpage}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newenvironment{simpleframe}{}{\distance{1}\newpage}%
\setlength{\parskip}{1pt}
\setlength{\parindent}{0mm}
